Bug 282295 - 'Date/Time data error' validation popup is misplaced in tableview
Summary: 'Date/Time data error' validation popup is misplaced in tableview
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Unclassified
Component: Tables (show other bugs)
Version: 2.4 beta3 (Calligra 2.4 beta3)
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.5
Assignee: Jarosław Staniek
URL:
Keywords:
Depends on: 272994
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-18 17:13 UTC by Jarosław Staniek
Modified: 2014-02-12 10:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.5.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarosław Staniek 2011-09-18 17:13:44 UTC
'Date/Time data error' validation popup is displayed too much to the north.
Should be like this: http://kexi-project.org/pics/1.1/date_validator.png

Also it would be good to have the look refreshed using the recent message widget that is used in the startup views.
Comment 1 Jarosław Staniek 2012-08-10 20:39:57 UTC
Git commit a172db99a5ce3865a7cbef3adbe3317e4e4e8ce4 by Jaroslaw Staniek.
Committed on 07/08/2012 at 13:14.
Pushed by staniek into branch 'calligra/2.5'.

Fix misplaced validation tip in tableview; show invalid data warnings

Table View:

*Fixed misplaced 'Date/Time data error' validation popup in tableview
Related: bug 299867
FIXED-IN:2.5.1

*Show warning when invalid date values in tables and forms are rejected
FIXED-IN:2.5.1

*Clicking validation popup editor is focus again allowing to correct the value
*Use new message widget for validation popups

REVIEW:105906

M  +84   -16   kexi/kexiutils/kmessagewidget.cpp
M  +7    -0    kexi/kexiutils/kmessagewidget.h
M  +14   -0    kexi/kexiutils/kmessagewidget_p.h
M  +26   -9    kexi/widget/dataviewcommon/kexidataawareobjectiface.cpp
M  +5    -2    kexi/widget/dataviewcommon/kexidataawareobjectiface.h
M  +6    -0    kexi/widget/tableview/kexidatetableedit.cpp
M  +1    -0    kexi/widget/tableview/kexidatetableedit.h
M  +6    -0    kexi/widget/tableview/kexidatetimetableedit.cpp
M  +1    -0    kexi/widget/tableview/kexidatetimetableedit.h
M  +5    -0    kexi/widget/tableview/kexitableview.cpp
M  +2    -0    kexi/widget/tableview/kexitableview.h
M  +6    -0    kexi/widget/tableview/kexitimetableedit.cpp
M  +1    -0    kexi/widget/tableview/kexitimetableedit.h
M  +0    -1    kexi/widget/utils/CMakeLists.txt
D  +0    -174  kexi/widget/utils/kexiarrowtip.cpp
D  +0    -59   kexi/widget/utils/kexiarrowtip.h

http://commits.kde.org/calligra/a172db99a5ce3865a7cbef3adbe3317e4e4e8ce4
Comment 2 Jarosław Staniek 2012-08-10 20:51:34 UTC
Git commit 052cadfb62ed5b48e0723f8b386c7e21f37cad81 by Jaroslaw Staniek.
Committed on 07/08/2012 at 13:14.
Pushed by staniek into branch 'master'.

Fix misplaced validation tip in tableview; show invalid data warnings

Table View:

*Fixed misplaced 'Date/Time data error' validation popup in tableview
Related: bug 299867

*Show warning when invalid date values in tables and forms are rejected

*Clicking validation popup editor is focus again allowing to correct the value
*Use new message widget for validation popups

REVIEW:105906

M  +84   -16   kexi/kexiutils/kmessagewidget.cpp
M  +7    -0    kexi/kexiutils/kmessagewidget.h
M  +14   -0    kexi/kexiutils/kmessagewidget_p.h
M  +26   -9    kexi/widget/dataviewcommon/kexidataawareobjectiface.cpp
M  +5    -2    kexi/widget/dataviewcommon/kexidataawareobjectiface.h
M  +6    -0    kexi/widget/tableview/kexidatetableedit.cpp
M  +1    -0    kexi/widget/tableview/kexidatetableedit.h
M  +6    -0    kexi/widget/tableview/kexidatetimetableedit.cpp
M  +1    -0    kexi/widget/tableview/kexidatetimetableedit.h
M  +5    -0    kexi/widget/tableview/kexitableview.cpp
M  +2    -0    kexi/widget/tableview/kexitableview.h
M  +6    -0    kexi/widget/tableview/kexitimetableedit.cpp
M  +1    -0    kexi/widget/tableview/kexitimetableedit.h
M  +0    -1    kexi/widget/utils/CMakeLists.txt
D  +0    -174  kexi/widget/utils/kexiarrowtip.cpp
D  +0    -59   kexi/widget/utils/kexiarrowtip.h

http://commits.kde.org/calligra/052cadfb62ed5b48e0723f8b386c7e21f37cad81